Bug 27263 - Link to preferences mentioned in system preference descriptions
Summary: Link to preferences mentioned in system preference descriptions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26296
  Show dependency treegraph
 
Reported: 2020-12-17 16:30 UTC by Owen Leonard
Modified: 2021-02-11 22:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Wherever a system preference description mentions another system preference the name of that preference will now be a link that searches for the system preference saving steps and making it easier to review related preferences.
Version(s) released in:
21.05.00


Attachments
Bug 27263: Link to preferences mentioned in system preference descriptions (45.79 KB, patch)
2020-12-17 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27263: Link to preferences mentioned in system preference descriptions (45.84 KB, patch)
2021-01-04 23:38 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27263: Link to preferences mentioned in system preference descriptions (45.90 KB, patch)
2021-01-12 22:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-12-17 16:30:51 UTC
Wherever a system preference description mentions another system preference the name of that preference should be a link. This eliminates a process where the user has to search for that preference.
Comment 1 Owen Leonard 2020-12-17 18:36:32 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2021-01-04 23:36:17 UTC
This is very handy and will save a lot of time! 

There is a JS error when you select the tab 'Searching' but it is unrelated so I filed Bug 27336
Comment 3 Lucas Gass 2021-01-04 23:38:43 UTC
Created attachment 114828 [details] [review]
Bug 27263: Link to preferences mentioned in system preference descriptions

This patch attempts to locate all references to system preference names
in various system preference descriptions and link those preference
names to a search for that preference. This will allow the user to
easily jump between preferences which are related or depend on each
other.

To test, apply the patch go to Administration -> System preferences.

- Open each preference category and confirm that the page loads without
  error.
- Test any system preference links you find to confirm that they work
  correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2021-01-12 22:27:14 UTC
Created attachment 115101 [details] [review]
Bug 27263: Link to preferences mentioned in system preference descriptions

This patch attempts to locate all references to system preference names
in various system preference descriptions and link those preference
names to a search for that preference. This will allow the user to
easily jump between preferences which are related or depend on each
other.

To test, apply the patch go to Administration -> System preferences.

- Open each preference category and confirm that the page loads without
  error.
- Test any system preference links you find to confirm that they work
  correctly.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-01-12 22:28:20 UTC
I really like this. I was wondering if it would be better if we had an "exact match" result, only displaying the one preference. But I think as it currently works it has the advantage of helping to discover other related preferences that need to be set/taken a look at.
Comment 6 Jonathan Druart 2021-01-13 16:19:57 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-18 14:48:39 UTC
(In reply to Katrin Fischer from comment #5)
> I really like this. I was wondering if it would be better if we had an
> "exact match" result, only displaying the one preference. But I think as it
> currently works it has the advantage of helping to discover other related
> preferences that need to be set/taken a look at.

100% agree ;)
Comment 8 Fridolin Somers 2021-01-18 14:48:53 UTC
Enhancement not pushed to 20.11.x